Font support for symbol display

2009-11-09 01:35 AM - Andreas Neumann

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12130

Description

QGIS should support TTF or Opentype for symbols. They would allow for easier color changes of symbols. Also, many symbol fonts

already exist. User should be able to select a font-family and select a character, next to the size and color changes.

History

#1 - 2010-06-11 08:48 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

symbology-ng has support for [[FontMarker]].

#2 - 2010-06-11 10:15 AM - John Tull

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Shouldn't this option also exist for fill patterns in polygons? I.e., the ability to select a font symbol for the basis of a fill pattern. Reopening and setting to

milestone 1.6.0.

#3 - 2010-06-13 08:52 AM - Andreas Neumann

jctull: I think this bug should be closed. What you describe here is a separate issue. The original bug only dealt with point symbolization. Area/polygon fills

are a separate issue. Please open a separate enhancement request for this idea.

I don't think it is a good idea to change bug requirements later on, unless it was wrong from the beginning.

#4 - 2010-06-13 02:52 PM - John Tull

- Status changed from Feedback to Closed

- Resolution set to fixed

I'm not sure that the original description was specific to point symbols only, but perhaps that was the intent. Regardless, happy to report it separately if that

makes more sense to others.
